package com.njcn.csharmonic.enums;

import lombok.Getter;

/**
 * pqs
 * Advacne枚举
 * @author cdf
 * @date 2021/6/21
 */
@Getter
public enum CsHarmonicResponseEnum {

    /**
     * A00600 ~ A00700 用于稳态模块的枚举
      */
    CS_DEVICE_COMMON_ERROR("A00600","治理稳态模块异常"),
    BIND_TARGET_ERROR("A00601","指标参数绑定异常"),
    MAKE_UP_ERROR("A00602","补招失败"),
    RECORD_MISSING("A00602","record.bin文件缺失,补召失败"),

    EVENT_FILE_NOT_SAME("A00603","cfg、dat文件名称不一致"),
    CUSTOM_REPORT_REPEAT("A00552","自定义报表模板名称已存在"),

    CUSTOM_REPORT_JSON("A00553","模板非严格json数据"),

    CUSTOM_REPORT_DEPT("A00554","该部门已存在绑定报表模板"),
    CUSTOM_TYPE("A00555","字典中未查询到报表模板类型"),
    CUSTOM_REPORT_ACTIVE("A00556","不存在激活的自定义报告模板"),
    CUSTOM_REPORT_EMPTY("A00557","自定义报表模板异常,模板数据为空"),
    CUSTOM_REPORT_FILE("A00558","上传文件服务器错误，请检查数据"),

    REPORT_DOWNLOAD_ERROR("A00559","报表文件下载异常"),
    REPORT_TEMPLATE_DOWNLOAD_ERROR("A00560","报表模板下载异常")
    ;


    private final String code;

    private final String message;

    CsHarmonicResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
